KScriptInterface Class Referenceabstract

`#include <scriptinterface.h>`

Inherits QObject.

Inherited by ShellScript.

## Public Member Functions

virtual QString | script () const =0
virtual void | setScript (const QString &scriptFile)=0
virtual void | setScript (const QString &scriptLibFile, const QString &method)=0
virtual void | run (QObject *context=0, const QVariant &arg=0)=0
virtual void | kill ()=0

## Public Attributes

KScriptClientInterface * | ScriptClientInterface

## Detailed Description

This class is the base for all script engines.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 47 of file scriptinterface.h.

## Member Function Documentation

virtual void KScriptInterface::kill | ( |  | ) |

pure virtual

Abort the scripts run.

virtual void KScriptInterface::run | ( | QObject * | context = `0`,
|  | const QVariant & | arg = `0`
| ) |  |

pure virtual

Run the actual script code This can both take a context object that will be shared between the main application and a variant that will contain the arguments.

virtual QString KScriptInterface::script | ( |  | ) | const

pure virtual

Return the current script code data.

Returns
  QString containing the currenly runable code

virtual void KScriptInterface::setScript | ( | const QString & | scriptFile | ) |

pure virtual

Sets the path to the script library that we are going to embed.

virtual void KScriptInterface::setScript | ( | const QString & | scriptLibFile,
|  | const QString & | method
| ) |  |

pure virtual

Sets the path to the script library that we are going to embed.

The second argument is the function from the script library that we wish to call.

## Member Data Documentation

KScriptClientInterface* KScriptInterface::ScriptClientInterface

This is the method for sending feedback to applications.

example of how this works:

ScriptClientInterface->error( message_to_send_back_to_the_main_application );

Will send the error message back to the main application.

Definition at line 85 of file scriptinterface.h.

The documentation for this class was generated from the following file:

- scriptinterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys